# eric7.PipInterface.PipLicensesDialog

Module implementing a dialog to show the licenses of an environment.

### Global Attributes

None

### Classes

PipLicensesDialog | Class implementing a dialog to show the licenses of an environment.

### Functions

None

## PipLicensesDialog

Class implementing a dialog to show the licenses of an environment.

### Derived from

QDialog, Ui_PipLicensesDialog

### Class Attributes

LicensesLicenseColumn
LicensesPackageColumn
LicensesVersionColumn
SummaryCountColumn
SummaryLicenseColumn

### Class Methods

None

### Methods

PipLicensesDialog | Constructor
__refreshLicenses | Private slot to refresh the license lists.
__saveAsCSV | Private slot to save the license information as a CSV file.

### Static Methods

None

#### PipLicensesDialog (Constructor)

PipLicensesDialog(pip, environment, localPackages=True, usersite=False, parent=None)

Constructor

pip (Pip)
  reference to the pip interface object
environment (str)
  name of the environment to show the licenses for
localPackages (bool)
  flag indicating to show the licenses for local packages only
usersite (bool)
  flag indicating to show the licenses for packages installed in user-site directory only
parent (QWidget (optional))
  reference to the parent widget (defaults to None)

#### PipLicensesDialog.__refreshLicenses

__refreshLicenses()

Private slot to refresh the license lists.

#### PipLicensesDialog.__saveAsCSV

__saveAsCSV()

Private slot to save the license information as a CSV file.

Up